/* === Global Variables === */
:root {
    --darkgreen: #0b4d0c;
    /*#2a4a32;*/
    --pastelligthgreen: #c9cebd;
    --redbrowntrans: #A62C21bd;
  }

/* === TitlePic === */

@media (max-width: 1000px) {
  #background-pic {
    object-position: 75%;
  }
}

@media (max-width: 760px) {
  #background-pic {
    object-position: 85%;
  }
}

@media (max-width: 400px) {
  #background-pic {
    object-position: 90%;
  }
}

/* === Navigationsleiste - Farbanpassung === */
#desktop-nav > .row {
  background-color: #0b4d0ced;
}

#mobile-nav > .row {
  background-color: #0b4d0ced;
}

/* === GENERELL SECTIONS === */
@media (max-width: 510px) {
  .intro-container h1 { 
    font-size: 3rem;
  }
}

@media (max-width: 450px) {
  .intro-container h1 { 
    font-size: 2.5rem;
  }
}

@media (max-width: 380px) {
  .intro-container h1 { 
    font-size: 2rem;
  }
}

/* === AUDIO PLAYER === */

.audio-player {
  display: flex;
  justify-content: center;
  align-items: center;
}

.audio-player-card {
  border-radius: 10px;
  border: 3px solid var(--darkgreen);
  box-shadow: 0 0 20px 0 var(--darkgreen);
  background-color: #F0F0F0;
}


/* Typography / Links
================================================== */

p { color: var(--darkgreen); display:block; font-size:.9rem; font-weight:400; margin:0 0 2px; }

a,a:visited { color:#8cc3e6; outline:0; text-decoration:underline; }
a:hover,a:focus { color:#bbdef5; }
p a,p a:visited { line-height:inherit; }


/* Misc.
================================================== */

.no-support {
margin:2rem auto;
text-align:center;
width:90%;
}


/* Audio Player Styles
================================================== */

body:-webkit-full-page-media {
  background-color: #F0F0F0;
}

audio {
width: 90%;
background-color: #F0F0F0;
margin-left: 5%;
margin-top: 2rem;
}

audio::-webkit-media-controls-panel {
  background-color: #F0F0F0;
  color: white;
}

audio::-webkit-media-controls-mute-button {
  background-color: var(--pastelligthgreen);
  border-radius: 50%;
  color: white;
}

audio::-webkit-media-controls-play-button {
  background-color: var(--pastelligthgreen);
  border-radius: 50%;
  color: white;
}

#audiowrap,
#plwrap {
margin:0 auto;
}

#tracks {
font-size:0;
position:relative;
text-align:center;
}

#nowPlay {
display:block;
font-size:0;
}

#nowPlay span {
display:inline-block;
font-size:1.05rem;
vertical-align:top;
}

#nowPlay span#npAction {
padding:21px;
width:30%;
}

#nowPlay span#npTitle {
padding:21px;
text-align:right;
width:70%;
}

[id*="plList"] {
  padding: 0;
}

[id*="plList"] li {
cursor:pointer;
display:block;
margin:0;
padding:10px 0;
}

[id*="plList"] li:hover {
background-color: var(--pastelligthgreen);
border-radius: 10px;
}

.plItem {
position:relative;
}

.plTitle {
left:50px;
overflow:hidden;
position:absolute;
right:65px;
text-overflow:ellipsis;
top:0;
white-space:nowrap;
}

.plNum {
padding-left:21px;
width:25px;
}

.plLength {
padding-left:21px;
position:absolute;
right:21px;
top:0;
}

.plSel,
.plSel:hover {
background-color:rgba(0, 0, 0, .1);
background-color: var(--pastelligthgreen);
cursor:default !important;
}

.plSel {
  border: 1px dotted #0b4d0c;
  border-radius: 10px;
}

#tracks a {
border-radius:10px;
border: 1px solid black;
background-color:var(--pastelligthgreen);
color: #000000;
cursor:pointer;
display:inline-block;
font-size:2.3rem;
height:40px;
line-height:.2;
margin:0 5px 20px;
padding: 13px;
text-decoration:none;
transition:background .3s ease;
}

#tracks a:hover,
#tracks a:active {
background-color:var(--pastelligthgreen);
color: #000000;
}

#tracks a::-moz-focus-inner {
border:0;
padding:0;
}


/* Plyr Overrides
================================================== */

.plyr--audio .plyr__controls {
background-color:transparent;
border:none;
color: var(--darkgreen);
font-family:"Source Sans Pro", arial, sans-serif;
padding:20px 20px 20px 13px;
width:100%;
}

a.plyr__controls__item.plyr__control:hover,
.plyr--audio .plyr__controls button:hover,
.plyr--audio .plyr__controls button.tab-focus:focus,
.plyr__play-large {
background-color:rgba(0, 0, 0, .1);
}

.plyr__progress--played,
.plyr__volume--display {
color:rgba(0, 0, 0, .1);
}

.plyr--audio .plyr__progress--buffer,
.plyr--audio .plyr__volume--display {
background-color:rgba(0, 0, 0, .1);
}

.plyr--audio .plyr__progress--buffer {
color:rgba(0, 0, 0, .1);
}

.plyr__controls .plyr__controls__item.plyr__time {
font-size:14px;
margin-left:7px;
}


/* Media Queries
================================================== */

@media only screen and (max-width:600px) {
    #nowPlay span#npAction { display:none; }
    #nowPlay span#npTitle { display:block; text-align:center; width:100%; }
}


/* === VIDEOS BEREICH === */

#videos {
  min-height: 1000px;
}

.card-video {
  padding: 1rem 2rem 2rem 2rem;
}

.video-headline h2 {
  text-align: center;
}

.video-youtube {
  aspect-ratio: 16 / 9;
  width: 100%;
}

@media (max-width: 1150px) {
  #videos {
    min-height: 900px;
  }
}

@media (max-width: 900px) {
  #videos {
    min-height: 800px;
  }
  .card-video {
    padding: 0.5rem 1rem 1rem 1rem;
  }
}

@media (max-width: 750px) {
  #videos {
    min-height: 700px;
  }
  #card-slider-row {
    max-width: calc(100% - 25px);
  }
}

@media (max-width: 600px) {
  #videos {
    min-height: 700px;
  }
  #videos .container {
    width: 100%
  }
  #card-slider-row {
    max-width: calc(100% - 25px);
    padding: 0;
  }
  .card-video {
    padding: 0.5rem;
  }
}

@media (max-width: 550px) {
  #videos {
    min-height: 650px;
  }
}

@media (max-width: 500px) {
  .video-headline h2 {
    font-size: 1.3rem;
  }
}

@media (max-width: 460px) {
  .video-headline h2 {
    font-size: 1rem;
  }

  #videos {
    min-height: 550px;
  }
}